org.eclipse.oomph.setup.workbench

## Interface FileEditor

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Implementing Classes:
    FileEditorImpl

      public interface FileEditor
      extends ModelElement

  A representation of the model object 'File Editor'.

  The following features are supported:

  - `ID`
  See Also:
    `WorkbenchPackage.getFileEditor()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getID()` Returns the value of the 'ID' attribute.
    `void` | `setID(String value)` Sets the value of the '`ID`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getID

          String getID()

      Returns the value of the 'ID' attribute.

      If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'ID' attribute.
      See Also:
        `setID(String)`, `WorkbenchPackage.getFileEditor_ID()`
      Generated
      Model
        required="true" extendedMetaData="kind='attribute' name='id'"

    - #### setID

          void setID(String value)

      Sets the value of the '`ID`' attribute.
      Parameters:
        `value` - the new value of the 'ID' attribute.
      See Also:
        `getID()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html